openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/RFC_READ_TABLE:
    post:
      tags:
      - SDTX
      summary: External access to R/3 tables via RFC
      operationId: /rfc/RFC_READ_TABLE
      requestBody:
        content:
          application/json:
            schema:
              properties:
                DELIMITER:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Sign for indicating field limits in DATA
                NO_DATA:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: If <> SPACE, only FIELDS is filled
                QUERY_TABLE:
                  type: string
                  maxLength: 30
                  description: Table read
                ROWCOUNT:
                  type: integer
                  format: int32
                  default: 0
                  description: If <> SPACE, only FIELDS is filled
                ROWSKIPS:
                  type: integer
                  format: int32
                  default: 0
                  description: If <> SPACE, only FIELDS is filled
                DATA:
                  type: array
                  items:
                    type: object
                    properties:
                      WA:
                        type: string
                        maxLength: 512
                        description: Character field length 512
                FIELDS:
                  type: array
                  items:
                    type: object
                    properties:
                      FIELDNAME:
                        type: string
                        maxLength: 30
                        description: Field Name
                      OFFSET:
                        type: integer
                        format: int64
                        description: Offset of a field
                      LENGTH:
                        type: integer
                        format: int64
                        description: Length (No. of Characters)
                      TYPE:
                        type: string
                        maxLength: 1
                        description: 'ABAP data type (C,D,N,...)  enumValues: N=Character string with only digits,s=2-byte integer, only for length field before LCHR or LRAW,h=Table type,y=Byte sequence with variable length (ABAP type XSTRING),l=Reference to data object,b=1-byte integer, integer number <= 254,P=Packed number,T=Time (Time: HHMMSS),u=Structured type, flat,I=Integer number (4-byte integer with sign),F=Floating point number to accuracy of 8 bytes,v=Structured type, deep,V=Character string
                          (old Dictionary type VARC),X=Byte sequence (heXadecimal),C=Character string,g=Character string with variable length (ABAP type STRING),r=Reference to class/interface,D=Date (Date: YYYYMMDD)'
                        enum:
                        - N
                        - s
                        - h
                        - y
                        - l
                        - b
                        - P
                        - T
                        - u
                        - I
                        - F
                        - v
                        - V
                        - X
                        - C
                        - g
                        - r
                        - D
                      FIELDTEXT:
                        type: string
                        maxLength: 60
                        description: Short Description of Repository Objects
                OPTIONS:
                  type: array
                  items:
                    type: object
                    properties:
                      TEXT:
                        type: string
                        maxLength: 72
                        description: Text line of a message
              required:
              - QUERY_TABLE
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  DATA:
                    type: array
                    items:
                      type: object
                      properties:
                        WA:
                          type: string
                          maxLength: 512
                          description: Character field length 512
                  FIELDS:
                    type: array
                    items:
                      type: object
                      properties:
                        FIELDNAME:
                          type: string
                          maxLength: 30
                          description: Field Name
                        OFFSET:
                          type: integer
                          format: int64
                          description: Offset of a field
                        LENGTH:
                          type: integer
                          format: int64
                          description: Length (No. of Characters)
                        TYPE:
                          type: string
                          maxLength: 1
                          description: 'ABAP data type (C,D,N,...)  enumValues: N=Character string with only digits,s=2-byte integer, only for length field before LCHR or LRAW,h=Table type,y=Byte sequence with variable length (ABAP type XSTRING),l=Reference to data object,b=1-byte integer, integer number <= 254,P=Packed number,T=Time (Time: HHMMSS),u=Structured type, flat,I=Integer number (4-byte integer with sign),F=Floating point number to accuracy of 8 bytes,v=Structured type, deep,V=Character
                            string (old Dictionary type VARC),X=Byte sequence (heXadecimal),C=Character string,g=Character string with variable length (ABAP type STRING),r=Reference to class/interface,D=Date (Date: YYYYMMDD)'
                          enum:
                          - N
                          - s
                          - h
                          - y
                          - l
                          - b
                          - P
                          - T
                          - u
                          - I
                          - F
                          - v
                          - V
                          - X
                          - C
                          - g
                          - r
                          - D
                        FIELDTEXT:
                          type: string
                          maxLength: 60
                          description: Short Description of Repository Objects
                  OPTIONS:
                    type: array
                    items:
                      type: object
                      properties:
                        TEXT:
                          type: string
                          maxLength: 72
                          description: Text line of a message
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
